/**
 * プロジェクト名 laxIde
 * クラス名 LetsAjaxPerspectiveFactory.java
 * 作成日: 2007/06/02
 * 
 */
package jp.co.cybec.laxide.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/**
 * パースぺクティブの初期表示をする ファイル名：LetsAjaxPerspectiveFactory.java
 * 
 * @author nakamura 作成時刻：10:26:51
 * 
 */
public class LetsAjaxPerspectiveFactory implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		String editArea = layout.getEditorArea();

		IFolderLayout left = layout.createFolder("left_folder",
				IPageLayout.LEFT, (float) 0.2f, editArea);
		left.addView(IPageLayout.ID_RES_NAV);

		IFolderLayout bottom = layout.createFolder("bottom_folder",
				IPageLayout.BOTTOM, (float) 0.7f, editArea);
		bottom.addView(IPageLayout.ID_PROP_SHEET);

		IFolderLayout right = layout.createFolder("left_folder",
				IPageLayout.RIGHT, (float) 0.2f, editArea);
		right.addView(IPageLayout.ID_OUTLINE);

	}
}
